TakenAt: 2022-01-03T05:50:13Z
TakenAtLocal: 2022-01-03T05:50:13Z
TakenSrc: meta
UID: pt67pn7fk3iumzpd
Type: image
Title: Info / Petersfield / 2022
OriginalName: "20220103_055013"
Panorama: true
TimeZone: Europe/London
PlaceSrc: meta
Lat: 51.0054913
Lng: -0.9519561
Year: 2022
Month: 1
Day: 3
ISO: 80
Exposure: 1/50
FNumber: 1.8
FocalLength: 26
Quality: 3
Details:
  Keywords: bedford, england, grey, info, laboratories, petersfield, road, united-kingdom,
    whitman
  Software: G981BXXSCDUJ5
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:57:07Z
UpdatedAt: 2025-11-24T03:57:08Z
